> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel SEPA Direct Debit

> Cancel a SEPA direct debit mandate for the provided mandate ID



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml post /api/engagements/card/{engagement-id}/sepa-direct-debit/cancel
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/engagements/card/{engagement-id}/sepa-direct-debit/cancel:
    post:
      tags:
        - SEPA
      summary: Cancel SEPA Direct Debit
      description: Cancel a SEPA direct debit mandate for the provided mandate ID
      operationId: Cancel SEPA Direct Debit
      parameters:
        - name: engagement-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HttpDirectDebitCancelMandateRequest'
            examples:
              SEPA_DIRECT_DEBIT_CANCEL:
                value:
                  mandateId: 550e8400-e29b-41d4-a716-446655440001
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpDirectDebitCancelMandateResponse'
        '400':
          description: >-
            Invalid value for: path parameter engagement-id, Invalid value for:
            body
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpDirectDebitCancelMandateRequest:
      title: HttpDirectDebitCancelMandateRequest
      type: object
      required:
        - mandateId
      properties:
        mandateId:
          type: string
          format: uuid
    HttpDirectDebitCancelMandateResponse:
      title: HttpDirectDebitCancelMandateResponse
      type: object
      required:
        - mandateId
      properties:
        mandateId:
          type: string
          format: uuid
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````